package com.atguigu.spzx.manger.controller;

import com.atguigu.spzx.manger.service.CategoryBrandService;
import com.atguigu.spzx.model.dto.product.CategoryBrandDto;
import com.atguigu.spzx.model.entity.product.CategoryBrand;
import com.atguigu.spzx.model.vo.result.Result;
import com.github.pagehelper.PageInfo;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@Tag(name = "分类品牌")
@RestController
@RequestMapping(value = "/admin/product/categoryBrand")
public class CategoryBrandController {
    @Autowired
    private CategoryBrandService categoryBrandService;

    @Operation(summary = "分类品牌列表", description = "分类品牌列表接口")
    @GetMapping("{page}/{limit}")
    public Result<PageInfo<CategoryBrand>> findByPage(@PathVariable Integer page, @PathVariable Integer limit, CategoryBrandDto dto) {
        PageInfo<CategoryBrand> pageInfo = categoryBrandService.findByPage(page, limit, dto);
        return Result.success(pageInfo);
    }

    @Operation(summary = "添加功能", description = "添加功能")
    @PostMapping("save")
    public Result<CategoryBrand> save(@RequestBody CategoryBrand categoryBrand) {
        categoryBrandService.save(categoryBrand);
        return Result.success();
    }

    @Operation(summary = "修改功能", description = "修改功能")
    @PutMapping("updateById")
    public Result<CategoryBrand> updateById(@RequestBody CategoryBrand categoryBrand) {
        categoryBrandService.updateById(categoryBrand);
        return Result.success();
    }

    @Operation(summary = "删除功能", description = "删除功能")
    @DeleteMapping("deleteById/{id}")
    public Result<Long> deleteById(@PathVariable Long id) {
        categoryBrandService.deleteById(id);
        return Result.success();
    }
}