package com.atguigu.spzx.manger.controller;

import com.atguigu.spzx.manger.service.ProductSpecService;
import com.atguigu.spzx.model.entity.product.ProductSpec;
import com.atguigu.spzx.model.vo.result.Result;
import com.github.pagehelper.PageInfo;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@Tag(name = "商品规格管理")
@RestController
@RequestMapping(value = "/admin/product/productSpec")
public class ProductSpecController {
    @Autowired
    private ProductSpecService productSpecService;

    @Operation(summary = "列表查询", description = "列表查询")
    @GetMapping("{page}/{limit}")
    public Result<PageInfo<ProductSpec>> findByPage(@PathVariable Integer page, @PathVariable Integer limit) {
        PageInfo<ProductSpec> pageInfo = productSpecService.findByPage(page, limit);
        return Result.success(pageInfo);
    }

    @Operation(summary = "添加功能", description = "添加功能")
    @PostMapping("save")
    public Result<ProductSpec> save(@RequestBody ProductSpec productSpec) {
        productSpecService.save(productSpec);
        return Result.success();
    }

    @Operation(summary = "修改功能", description = "修改功能")
    @PutMapping("updateById")
    public Result<ProductSpec> updateById(@RequestBody ProductSpec productSpec) {
        productSpecService.updateById(productSpec);
        return Result.success();
    }

    @Operation(summary = "删除功能", description = "删除功能")
    @DeleteMapping("deleteById/{id}")
    public Result<Long> removeById(@PathVariable Long id) {
        productSpecService.deleteById(id);
        return Result.success();
    }

    @Operation(summary = "加载商品规格数据", description = "加载商品规格数据")
    @GetMapping("findAll")
    public Result<List<ProductSpec>> findAll() {
        List<ProductSpec> list = productSpecService.findAll();
        return Result.success(list);
    }
}