package com.atguigu.spzx.manger.excel;

import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.event.AnalysisEventListener;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.ArrayList;
import java.util.List;

@EqualsAndHashCode(callSuper = true)
@Data
public class ExcelListener<T> extends AnalysisEventListener<T> {
    // 可以通过实例获取该值
    private final List<T> dataList = new ArrayList<T>();

    // 每解析一行数据就会调用一次该方法
    @Override

    public void invoke(T t, AnalysisContext analysisContext) {
        // 数据存储到list，供批量处理，或后续自己业务逻辑处理。
        dataList.add(t);
    }

    @Override
    public void doAfterAllAnalysed(AnalysisContext analysisContext) {
        // excel解析完毕以后需要执行的代码
    }
}
