package com.atguigu.spzx.manger.mapper;

import com.atguigu.spzx.model.dto.product.CategoryBrandDto;
import com.atguigu.spzx.model.entity.product.Brand;
import com.atguigu.spzx.model.entity.product.CategoryBrand;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface CategoryBrandMapper {
    /**
     * 分类品牌列表
     *
     * @param dto 搜索条件实体类
     * @return PageInfo<CategoryBrand>
     */
    List<CategoryBrand> findByPage(CategoryBrandDto dto);

    /**
     * 添加功能
     *
     * @param categoryBrand 分类品牌实体类
     */
    void save(CategoryBrand categoryBrand);

    void updateById(CategoryBrand categoryBrand);

    /**
     * 删除功能
     *
     * @param id 删除的ID
     */
    void deleteById(Long id);

    /**
     * 添加功能
     *
     * @param categoryId 查询ID
     * @return List<Brand>
     */
    List<Brand> findBrandByCategoryId(Long categoryId);
}
