package com.atguigu.spzx.manger.mapper;

import com.atguigu.spzx.model.entity.product.Category;
import com.atguigu.spzx.model.vo.product.CategoryExcelVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface CategoryMapper {
    /**
     * 根据分类id查询它下面的所有的子分类数据
     *
     * @param parentId 父级ID
     * @return 分类实体类列表
     */
    List<Category> selectByParentId(Long parentId);

    /**
     * 查询该分类下子分类的数量
     *
     * @param id ID
     * @return int
     */
    int countByParentId(Long id);

    /**
     * 读取所以分类数据
     *
     * @return 分类实体类列表
     */
    List<Category> selectAll();

    /**
     * 批量插入数据库
     *
     * @param cachedDataList Excel表品牌管理实体类
     */
    void batchInsert(List<CategoryExcelVo> cachedDataList);
}
