package com.atguigu.spzx.manger.mapper;

import com.atguigu.spzx.model.entity.product.ProductDetails;
import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface ProductDetailsMapper {
    /**
     * 保存数据
     *
     * @param productDetails 商品实体类
     */
    void save(ProductDetails productDetails);

    /**
     * 根据商品的id查询商品详情数据
     *
     * @param id 查询的ID
     * @return ProductDetails
     */
    ProductDetails selectByProductId(Long id);

    /**
     * 修改商品的详情数据
     *
     * @param productDetails ProductDetails
     */
    void updateById(ProductDetails productDetails);

    /**
     * 根据商品的id删除商品的详情数据
     *
     * @param id 删除ID
     */
    void deleteByProductId(Long id);
}
