package com.atguigu.spzx.manger.mapper;

import com.atguigu.spzx.model.dto.product.ProductDto;
import com.atguigu.spzx.model.entity.product.Product;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface ProductMapper {

    /**
     * 列表查询
     *
     * @return 查询结果
     */
    List<Product> findByPage(ProductDto dto);

    /**
     * 保存商品数据
     *
     * @param product 商品实体类
     */
    void save(Product product);

    /**
     * 根据id查询商品数据
     *
     * @param id 查询的ID
     * @return 商品实体类
     */
    Product selectById(Long id);

    /**
     * 修改商品基本数据
     *
     * @param product 商品实体类
     */
    void updateById(Product product);

    /**
     * 根据id删除商品基本数据
     *
     * @param id 删除ID
     */
    void deleteById(Long id);
}
