package com.atguigu.spzx.manger.mapper;

import com.atguigu.spzx.model.entity.product.ProductSku;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface ProductSkuMapper {
    /**
     * 保存数据
     *
     * @param productSku 商品实体类
     */
    void save(ProductSku productSku);

    /**
     * 根据商品的id查询sku数据
     *
     * @param id 查询的ID
     * @return 商品实体类列表
     */
    List<ProductSku> selectByProductId(Long id);

    /**
     * 修改商品的sku数据
     *
     * @param productSku 商品实体类
     */
    void updateById(ProductSku productSku);

    /**
     * 根据商品id删除商品的sku数据
     *
     * @param id 删除ID
     */
    void deleteByProductId(Long id);
}
