package com.atguigu.spzx.manger.mapper;

import com.atguigu.spzx.model.entity.system.SysMenu;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface SysMenuMapper {
    /**
     * 查询菜单
     *
     * @return 菜单列表
     */
    List<SysMenu> selectAll();

    /**
     * 插入菜单
     *
     * @param sysMenu 系统菜单实体类
     */
    void insert(SysMenu sysMenu);

    /**
     * 根据id修改菜单
     *
     * @param sysMenu 系统菜单实体类
     */
    void updateById(SysMenu sysMenu);

    /**
     * 根据id查询菜单
     *
     * @param id 菜单id
     * @return 是否存在
     */
    int countByParentId(Long id);

    /**
     * 根据id删除菜单
     *
     * @param id 菜单id
     */
    void deleteById(Long id);

    /**
     * 根据用户ID查找
     *
     * @param userId 用户ID
     * @return 菜单列表
     */
    List<SysMenu> selectListByUserId(Long userId);

    /**
     * 根据父级ID查询菜单
     *
     * @param id 父级ID
     * @return 系统菜单实体类
     */
    SysMenu selectParentMenu(Long id);
}
