package com.atguigu.spzx.manger.service;

import com.atguigu.spzx.model.entity.product.Brand;
import com.github.pagehelper.PageInfo;

import java.util.List;

public interface BrandService {
    /**
     * 品牌列表查询
     *
     * @param page  当前页
     * @param limit 每页大小
     * @return 品牌分页结果
     */
    PageInfo<Brand> findByPage(Integer page, Integer limit);

    /**
     * 品牌添加
     *
     * @param brand 品牌实体类
     */
    void save(Brand brand);

    /**
     * 修改品牌
     *
     * @param brand 品牌实体类
     */
    void updateById(Brand brand);

    /**
     * 根据id删除品牌
     *
     * @param id 品牌id
     */
    void deleteById(Long id);

    /**
     * 品牌列表
     *
     * @return 品牌列表
     */
    List<Brand> findAll();
}
