package com.atguigu.spzx.manger.service;

import com.atguigu.spzx.model.dto.product.CategoryBrandDto;
import com.atguigu.spzx.model.entity.product.Brand;
import com.atguigu.spzx.model.entity.product.CategoryBrand;
import com.github.pagehelper.PageInfo;

import java.util.List;

public interface CategoryBrandService {
    /**
     * 分类品牌列表
     *
     * @param page  当前页
     * @param limit 每页限制
     * @param dto   搜索条件实体类
     * @return PageInfo<CategoryBrand>
     */
    PageInfo<CategoryBrand> findByPage(Integer page, Integer limit, CategoryBrandDto dto);

    /**
     * 添加功能
     *
     * @param categoryBrand 分类品牌实体类
     */
    void save(CategoryBrand categoryBrand);

    /**
     * 修改功能
     *
     * @param categoryBrand 分类品牌实体类
     */
    void updateById(CategoryBrand categoryBrand);

    /**
     * 删除功能
     *
     * @param id 删除的ID
     */
    void deleteById(Long id);

    /**
     * 添加功能
     *
     * @param categoryId 查询ID
     * @return List<Brand>
     */
    List<Brand> findBrandByCategoryId(Long categoryId);
}
