package com.atguigu.spzx.manger.service;


import com.atguigu.spzx.model.dto.product.ProductDto;
import com.atguigu.spzx.model.entity.product.Product;
import com.github.pagehelper.PageInfo;

public interface ProductService {
    /**
     * 列表查询
     *
     * @param page  当前也
     * @param limit 每页限制
     * @return 分页结果
     */
    PageInfo<Product> findByPage(Integer page, Integer limit, ProductDto dto);

    /**
     * 保存商品数据接口
     *
     * @param product 商品实体类
     */
    void save(Product product);

    /**
     * 查询商品详情
     *
     * @param id 查询ID
     * @return 商品实体类
     */
    Product getById(Long id);

    /**
     * 保存修改数据接口
     *
     * @param product 商品实体类
     */
    void updateById(Product product);

    /**
     * 删除商品
     *
     * @param id 删除ID
     */
    void deleteById(Long id);

    /**
     * 商品审核
     *
     * @param id          审核ID
     * @param auditStatus 审核状态
     */
    void updateAuditStatus(Long id, Integer auditStatus);
}
