package com.atguigu.spzx.manger.service;

import com.atguigu.spzx.model.entity.product.ProductSpec;
import com.github.pagehelper.PageInfo;

import java.util.List;

public interface ProductSpecService {
    /**
     * 列表查询
     *
     * @param page  当前页
     * @param limit 每页限制
     * @return 分页结果
     */
    PageInfo<ProductSpec> findByPage(Integer page, Integer limit);

    /**
     * 添加功能
     *
     * @param productSpec 商品规格实体类
     */
    void save(ProductSpec productSpec);

    /**
     * 修改功能
     *
     * @param productSpec 商品规格实体类
     */
    void updateById(ProductSpec productSpec);

    /**
     * 删除功能
     *
     * @param id 要删除的ID
     */
    void deleteById(Long id);

    /**
     * 加载商品规格数据
     *
     * @return 列表
     */
    List<ProductSpec> findAll();
}
