package com.atguigu.spzx.manger.service.module;

import com.atguigu.spzx.manger.mapper.SysMenuMapper;
import com.atguigu.spzx.manger.mapper.SysRoleMenuMapper;
import com.atguigu.spzx.model.entity.system.SysMenu;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class SysMenuServiceImplModule {
    @Autowired
    private SysMenuMapper sysMenuMapper;
    @Autowired
    private SysRoleMenuMapper sysRoleMenuMapper;

    /**
     * 添加子菜单，把父菜单半开状态改为1
     *
     * @param sysMenu 系统菜单实体类
     */
    public void updateSysRoleMenu(SysMenu sysMenu) {
        // 查询是否存在父节点
        SysMenu parentMenu = sysMenuMapper.selectParentMenu(sysMenu.getParentId());
        if (parentMenu != null) {
            // 将该id的菜单设置为半开
            sysRoleMenuMapper.updateSysRoleMenuIsHalf(parentMenu.getParentId());
            // 递归调用
            updateSysRoleMenu(parentMenu);
        }
    }
}
