package com.atguigu.spzx.model.vo.result;

import lombok.Getter;

/**
 * 统一返回结果状态信息类
 */
@Getter
public enum ResultCodeEnum {
    SUCCESS(200, "成功"),
    PERMISSION(401, "没有权限"),
    FAIL(500, "失败"),
    USE_NOT_EXIST(500, "失败"),
    SERVICE_ERROR(500, "服务异常"),
    DATA_ERROR(500, "数据异常"),
    LOGIN_AUTH(500, "需要先登陆"),
    LOGIN_MOBLE_ERROR(500, "登录验证失败"),
    ACCOUNT_DEACTIVATION(500, "账户停用"),
    USERNAME_IS_EXISTS(500, "用户名已存在"),
    WRITE_FILE_ERROR(500, "写入文件失败"),
    ;

    private final Integer code;
    private final String message;

    ResultCodeEnum(Integer code, String message) {
        this.code = code;
        this.message = message;
    }
}